# $Revision: 1.5 $, $Date: 2009/01/06 10:54:05 $
#
%define		module		PyYAML
%define		module_dir	yaml
#
Summary:	YAML parser and emitter module for Python
Summary(pl.UTF8):	Analizator i generator formatu YAML dla języka Python
Name:		python-%{module}
Version:	3.08
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://pyyaml.org/download/pyyaml/%{module}-%{version}.tar.gz
# Source0-md5:	a4163a2017fa57f448c66815511fa555
URL:		http://pyyaml.org/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and
emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages. PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%description -l pl.UTF-8
YAML jest formatem serializacji danych czytelnym dla człowieka,
zaprojektowanym do interakcji w językach skryptowych. PyYAML jest
analizatorem i generatorem tego formatu dla języka Python.

PyYAML posiada obsługę pełnej analizy YAML 1.1, Unicode,
serializację poprzez piklowanie, rozszerzalne API oraz zrozumiałe
komunikaty błędów. Obsługuje standardowe znaczniki YAML i
dostarcza nowe, specyficzne dla języka Python, pozwalające na
reprezentację jego obiektów.

PyYAML może być użyty w szerokiej gamie zastosowań, od złożonych
plików konfiguracyjnych po serializację i przechowywanie obiektów.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
install examples/yaml-highlight/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{py_sitedir}/%{module_dir}
%{py_sitedir}/%{module_dir}/*.py[co]
%{py_sitedir}/*.egg-info
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyYAML.spec,v $
Revision 1.5  2009/01/06 10:54:05  lisu
- up to 3.08
- use python macro

Revision 1.4  2008/12/19 14:22:40  lisu
- up to 3.06
- add .egg-info
- adapter

Revision 1.3  2008/02/12 09:22:05  leafnode
- updated to 3.05, rel 1

Revision 1.2  2007/05/10 06:31:21  qboosh
- formatting

Revision 1.1  2007/05/04 19:04:18  beorn
- new
